package com.pj.current.netty.command.handler.impl;

import com.pj.current.netty.command.constants.CommandType;
import com.pj.current.netty.command.handler.IHandler;
import com.pj.current.netty.dto.RequestPackageDTO;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 访客记录
 */
@Service
@Slf4j
public class VisitlogHandler implements IHandler {
    @Override
    public CommandType commandType() {
        return CommandType.UPLOAD_VISIT_LOG;
    }

    @Override
    public void handler(ChannelHandlerContext ctx, RequestPackageDTO packageDTO) {
        log.info("========访客记录上传===========");
    }
}
