package com.pj.current.netty.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public class RequestPackageDTO implements Serializable {


    /**
     * funcId : device.upload.heartbeat
     * payload : {"params":{"sn":"05132021092800030682693417061020"}}
     */

    /**
     * 自己标识
     */
    private String msgId;

    private String funcId;
    private PayloadBean payload;

    @Data
    public static class PayloadBean {
        /**
         * params : {"sn":"05132021092800030682693417061020"}
         */

        private Object params;
    }

    public static RequestPackageDTO getHeartCommandDTO() {
        RequestPackageDTO requestPackageDTO = new RequestPackageDTO();
        RequestPackageDTO.PayloadBean payloadBean = new RequestPackageDTO.PayloadBean();
        ParamsDTO paramsDTO = new ParamsDTO();
        paramsDTO.setCommand(1);
        payloadBean.setParams(paramsDTO);
        requestPackageDTO.setPayload(payloadBean);
        return requestPackageDTO;
    }
}
