package com.pj.project.sys_dict;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

/**
 * Service: sys_dict -- 字典管理
 * @author qzyReal 
 */
@Service
public class SysDictService extends ServiceImpl<SysDictMapper, SysDict> implements IService<SysDict>{

	/** 底层 Mapper 对象 */
	@Autowired
	SysDictMapper sysDictMapper;


	/** 增 */
	void add(SysDict s){
	this.save( s);
	}

	/** 删 */
	void delete(Integer id){
	this.removeById(id);
	}

	/** 改 */
	void update(SysDict s){
	this.updateById(s);
	}

	/** 查 */
	SysDict getById(Integer id){
	return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<SysDict> getList(SoMap so) { 
		return sysDictMapper.getList(so);	
	}
	

}
