package com.pj.project.tb_car_black;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_car_black -- 车辆黑名单
 *
 * @author qzyReal
 */

@Mapper
@Repository
public interface TbCarBlackMapper extends BaseMapper<TbCarBlack> {

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbCarBlack> getList(SoMap so);

    TbCarBlack getById(Long id);
}
