package com.pj.project.tb_terminal.task;

import com.pj.current.netty.heart.HeartBeatHandler;
import com.pj.project.tb_terminal.TbTerminalService;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;

@Component
public class StateTask {
    @Resource
    private TbTerminalService tbTerminalService;

    @Scheduled(fixedDelay = 20000)
    @Async
    public void stateHandler() {
        List<String>snList=new ArrayList<>();
         HeartBeatHandler.STATE_CACHE.forEach(k->snList.add(HeartBeatHandler.STATE_CACHE.get(k,false)));
        tbTerminalService.offlineTerminal(snList);
    }
}
