package com.pj.current.netty.command.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CommandType {
    /**
     * 上传类的
     */
    UPLOAD_COMMAND("device.upload.command","请求下发命令"),
    UPLOAD_USER("device.upload.user","人员信息上传"),
    UPLOAD_CHECK_LOG("device.upload.checklog","核验记录上传"),
    UPLOAD_WHITELIST("device.upload.whitelist","上传白名单"),
    UPLOAD_BLACKLIST("device.upload.blacklist","上传黑名单"),
    UPLOAD_VISIT_LOG("device.upload.visitlog","访客记录上传"),
    UPLOAD_TERMINAL_OPTION("device.option.upload","上传设备属性"),
    UPLOAD_HEALTH_LOG("device.upload.healthlog","健康核查记录上传"),
    UPLOAD_FINISH("device.upload.finish","设备数据上传结束"),

    /**
     * 下发类的
     */
    ISSUED_CLEAR_COMMAND("cmd.clear.all","清除所有数据"),
    ISSUED_REBOOT_COMMAND("cmd.device.reboot","重启"),
    ISSUED_BLACKLIST_COMMAND("cmd.update.blacklist","下发黑名单"),
    DELETE_BLACKLIST_COMMAND("cmd.delete.blacklist","删除黑名单"),
    ISSUED_USER_COMMAND("cmd.update.user","下发人员信息"),
     DELETE_USER_COMMAND("cmd.delete.user","删除人员信息"),
    ISSUED_OPTION_COMMAND("cmd.device.option.upload","获取设备特性"),
    ISSUED_FINISH_COMMAND("cmd.device.finish","后台命令下发结束"),
    ISSUED_NORMALOPEN_COMMAND("cmd.device.normalopen","远程开门"),
    SYNC_TIME_COMMAND("cmd.device.sync.time","同步时间"),

    ;

    private String funcId;
    private String desc;
}
