package com.pj.current.netty.command.handler.impl;

import com.pj.current.netty.command.constants.CommandType;
import com.pj.current.netty.command.handler.IHandler;
import com.pj.current.netty.dto.RequestPackageDTO;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 上传结束处理---------无需响应
 */
@Slf4j
@Service
public class UploadFinishHandler implements IHandler {
    @Override
    public CommandType commandType() {
        return CommandType.UPLOAD_FINISH;
    }

    @Override
    public void handler(ChannelHandlerContext ctx, RequestPackageDTO packageDTO) {
        log.info("==========上传结束===================");
    }
}
